Subject: Re: bug#20983: 11.88.6; Toggling all previews' visibility on/off at once

From: Arash Esbati <[email-masked]>
Date: Fri, 08 Mar 2024 21:48:20 +0100

[email-masked] writes:

> Dear All,
>
> This a feature request and a report of a strange behaviour of
> Preview's "preview-at-point".
>
> In Preview, it would be useful to have a function that toggles on/off
> the visibility of all previews in the buffer, independently of the
> position of point. The key word here is "toggle", rather than
> "regenerate".
>
> The function preview-at-point only toggles one preview, and only if
> the point is positioned on the preview. So if one only needs to take a
> quick look at the LaTeX code of a couple of formulae above or below
> point, one must 1. move point to the preview, 2. call preview-at-point
> (or mouse-2)
> , 3. take a look and memorize the code of interest, 4. call
> preview-at-point, 5. move point back.  Another option is to clear all
> previews (say in the section) and then regenerate them – but this can
> take much longer time.
>
> I tried to use/reverse engineer both "preview-at-point" and
> "preview-toggle" to build a function that toggles all previews at
> once, but failed (I don't understand how the "overlay" argument
> works). If anyone can suggest a method to do this, I'd be very
> grateful. Otherwise I'll leave this as a feature request.
>
> The bug: While investigating the above, I noticed that calling
> "preview-at-point" (C-c C-p C-p) generates an error when point is not
> on a preview and a region is not selected. Is this the desired
> behaviour?

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

The principle author of preview-latex is inactive for some time now, so
the package is in sort of maintenance mode.  So unless someone else
provides a complete patch, this feature will not get implemented,
unfortunately.  Therefore I'm closing this report.  We can reopen this
if the situation changes.

> Preview and AUCTeX are great, thank you so much to all of you!

Thank your for the kind words.

Best, Arash